Bug 836562 - 3.1 - [Storage] Merge snapshot fails.
3.1 - [Storage] Merge snapshot fails.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.3
Unspecified Unspecified
urgent Severity urgent
: rc
: ---
Assigned To: Eduardo Warszawski
Leonid Natapov
storage
: Regression, ZStream
: 788640 (view as bug list)
Depends On: 833752
Blocks: 795108
  Show dependency treegraph
 
Reported: 2012-06-29 10:01 EDT by Chris Pelland
Modified: 2013-01-09 01:55 EST (History)
13 users (show)

See Also:
Fixed In Version: vdsm-4.9.6-18.0
Doc Type: Bug Fix
Doc Text:
Previously, merging of snapshots failed. This was because a TypeError made it impossible to merge a base raw volume. A patch to VDSM now corrects the TypeError and it is possible to merge base raw volumes. Merging of snapshots no longer fails.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:01:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Pelland 2012-06-29 10:01:37 EDT
This bug has been copied from bug #833752 and has been proposed
to be backported to 6.3 z-stream (EUS).
Comment 5 Eduardo Warszawski 2012-07-01 09:14:55 EDT
*** Bug 788640 has been marked as a duplicate of this bug. ***
Comment 6 Eduardo Warszawski 2012-07-01 09:39:17 EDT
For some reason, this bug 836562 about a problem in the initial implementation of bug 788640, was opened and acked for rhev-3.1. This is the corrected implementation backport of bug 788640 including fix for bug 833752.


http://gerrit.usersys.redhat.com/#change,1333
http://gerrit.usersys.redhat.com/#change,1334
http://gerrit.usersys.redhat.com/#change,1335
http://gerrit.usersys.redhat.com/#change,1336
http://gerrit.usersys.redhat.com/#change,1337
Comment 8 Leonid Natapov 2012-07-15 09:41:12 EDT
si10. vdsm-4.9.6-21.0.el6_3.x86_64
Comment 11 errata-xmlrpc 2012-12-04 14:01:50 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1508.html

Note You need to log in before you can comment on or make changes to this bug.